AppController_search
GET/api/v1/search
AppController_search
Request
Query Parameters
order string
Possible values: [ASC, DESC]
Default value: ASC
Sort order
offset number
How many results to skip (for pagination)
limit number
Maximum number of results
q stringrequired
Query string
type string
Possible values: [all, account, application, block, microblock, organization, node, vb]
Default value: all
Type of object on which the search should focus
Responses
- 200
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
hasMore booleanrequired
Set to 'true' if more results are available.
totalRecords number
Total number of available records. Returned only when 'offset' is used in the query.
items
object[]
required
type stringrequired
id stringrequired
matchedFieldName stringrequired
matchedFieldValue stringrequired
{
"hasMore": true,
"totalRecords": 0,
"items": [
{
"type": "string",
"id": "string",
"matchedFieldName": "string",
"matchedFieldValue": "string"
}
]
}
Loading...